Skip to main content
GET
/
v1
/
apps
/
{app_id}
/
domains
List custom domains
curl --request GET \
  --url https://api.mixpeek.com/v1/apps/{app_id}/domains
{
  "domains": [
    {
      "domain": "<string>",
      "status": "<string>",
      "is_primary": true,
      "verification_token": "<string>",
      "cname_target": "<string>",
      "verified_at": "<string>"
    }
  ],
  "total": 123
}

Headers

Authorization
string

REQUIRED: Bearer token authentication using your API key. Format: 'Bearer sk_xxxxxxxxxxxxx'. You can create API keys in the Mixpeek dashboard under Organization Settings.

Examples:

"Bearer YOUR_API_KEY"

"Bearer YOUR_STRIPE_API_KEY"

authorization
string
X-Namespace
string

REQUIRED: Namespace identifier for scoping this request. All resources (collections, buckets, taxonomies, etc.) are scoped to a namespace. You can provide either the namespace name or namespace ID. Format: ns_xxxxxxxxxxxxx (ID) or a custom name like 'my-namespace'

Examples:

"ns_abc123def456"

"production"

"my-namespace"

Path Parameters

app_id
string
required

App ID (e.g. app_abc123def456)

Response

All custom domains attached to the App

domains
DomainResponse · object[]
required
total
integer
required